# OpenLayers.Layer.GeoRSS

Add GeoRSS Point features to your map.

#### Inherits from

- OpenLayers.Layer.Markers

Summary

OpenLayers.Layer.GeoRSS | Add GeoRSS Point features to your map.
Properties |
location | {String} store url of text file
features | {Array(OpenLayers.Feature)}
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
selectedFeature | {OpenLayers.Feature}
icon | {OpenLayers.Icon}.
popupSize | {OpenLayers.Size} This determines the size of GeoRSS popups.
useFeedTitle | {Boolean} Set layer.name to the first <title> element in the feed.
Constructor |
OpenLayers.Layer.GeoRSS | Create a GeoRSS Layer.
Functions |
destroy |
loadRSS | Start the load of the RSS data.
moveTo | If layer is visible and RSS has not been loaded, load RSS.
parseData | Parse the data returned from the Events call.
markerClick |
clearFeatures | Destroy all features in this layer.

### Properties

### location

{String} store url of text file

### features

{Array(OpenLayers.Feature)}

### formatOptions

{Object} Hash of options which should be passed to the format when it is created. Must be passed in the constructor.

### selectedFeature

{OpenLayers.Feature}

### icon

{OpenLayers.Icon}. This determines the Icon to be used on the map for this GeoRSS layer.

### popupSize

{OpenLayers.Size} This determines the size of GeoRSS popups. If not provided, defaults to 250px by 120px.

### useFeedTitle

{Boolean} Set layer.name to the first <title> element in the feed. Default is true.

### Constructor

### OpenLayers.Layer.GeoRSS

Create a GeoRSS Layer.

#### Parameters

name | {String}
location | {String}
options | {Object}

### Functions

### destroy

> destroy: function()

### loadRSS

> loadRSS: function()

Start the load of the RSS data. Don’t do this when we first add the layer, since we may not be visible at any point, and it would therefore be a waste.

### moveTo

> moveTo:function( | bounds,
> | zoomChanged,
> | minor | )

If layer is visible and RSS has not been loaded, load RSS.

#### Parameters

bounds | {Object}
zoomChanged | {Object}
minor | {Object}

### parseData

> parseData: function( | ajaxRequest | )

Parse the data returned from the Events call.

#### Parameters

ajaxRequest | {OpenLayers.Request.XMLHttpRequest}

### markerClick

> markerClick: function( | evt | )

#### Parameters

evt | {Event}

### clearFeatures

> clearFeatures: function()

Destroy all features in this layer.

Features are combinations of geography and attributes.
The icon represents a graphical icon on the screen.
Instances of this class represent a width/height pair

> destroy: function()

> loadRSS: function()

Start the load of the RSS data.

> moveTo:function( | bounds,
> | zoomChanged,
> | minor | )

If layer is visible and RSS has not been loaded, load RSS.

> parseData: function( | ajaxRequest | )

Parse the data returned from the Events call.

> markerClick: function( | evt | )

> clearFeatures: function()

Destroy all features in this layer.
Standard-compliant (W3C) cross-browser implementation of the XMLHttpRequest object.
Close